Description: These methods are used for dependencies in plugins.

I propose to change the syntax for those and adopt the rubygems dependency syntax. Besides much more 
flexibility we can also reuse their code. And we can use the spermy operator in dependency definitions

<pre><code class="ruby">requires_chiliproject "~> 1.1.1"</code></pre>

A pull request is going to get attached here.

@Eric: please review it quickly once I'm done.

Associated revisions
2011-08-21 02:47 pm - Holger Just 
[#275] Add requires_chiliproject. We now use the rubygems dependency syntax.

2011-08-21 03:16 pm - Holger Just 
[#275] Use ChiliProject::VERSION for new code

History
2011-03-13 03:47 pm - Holger Just
Oh, one important change is the semantic of @requires_chiliproject "1.1.0"@ compared to @requires_redmine "1.1.0"@.

The former means: "I need exactly ChiliProject 1.1.0, and 1.1.1 does not qualify". The latter however means: "I need any Redmine version >= 1.1.0".

2011-08-02 10:18 am - Felix Schäfer
- Target version set to 2.2.0

- (deleted custom field) set to master

I've just come across a plugin I'd need this for, especially considering the switch to aaj in 2.0.

2011-08-21 01:34 pm - Holger Just
I pushed the code for @requires_chiliproject@ to master. Still missing is the code for @requires_chiliproject_plugin@. But here, I'd first like to pull 
#256.

Also I moved @Redmine::VERSION@ to @ChiliProject::VERSION@ as the single point of truth. @Redmine::VERSION@ is still available as a 
compatibility API.

2011-08-27 03:17 pm - Holger Just
- Status changed from Open to Closed

Closing this for now.
The plugin requirements, i.e. @requires_chiliproject_plugin@ should be properly done using the plugin's Gemfile once we have all our plugins as 
gems. This will come with the switch to Rails 3.1 engines. Which will be just awesome btw.

2011-08-27 03:32 pm - Felix Schäfer
Holger Just wrote:
> The plugin requirements, i.e. @requires_chiliproject_plugin@ should be properly done using the plugin's Gemfile once we have all our plugins as 
gems. This will come with the switch to Rails 3.1 engines. Which will be just awesome btw.

Added #596 to make sure to document it properly.

2020-10-25 2/2


